Bug 205287 - xend fails to start with kernel-xen-2.6.17-1.2617.2.1.fc6
xend fails to start with kernel-xen-2.6.17-1.2617.2.1.fc6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 15:43 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 00:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-09-05 15:43:05 EDT
Description of problem:
Booting dom0 with kernel-xen-2.6.17-1.2617.2.1.fc6, starting xend produces the
following in /var/log/xend-log.  Works fine in kernel-xen-2.6.17-1.2614.fc6

[2006-09-05 09:20:04 xend 3491] INFO (SrvDaemon:283) Xend Daemon started
[2006-09-05 09:20:04 xend 3491] INFO (SrvDaemon:287) Xend changeset: unavailable .
[2006-09-05 09:20:04 xend 3491] ERROR (SrvDaemon:297) Exception starting xend
((13, 'Permission denied'))
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvDaemon.py", line
291, in run
    servers = SrvServer.create()
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvServer.py", line
108, in create
    root.putChild('xend', SrvRoot())
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvRoot.py", line 40,
in __init__
    self.get(name)
  File "/usr/lib/python2.4/site-packages/xen/web/SrvDir.py", line 82, in get
    val = val.getobj()
  File "/usr/lib/python2.4/site-packages/xen/web/SrvDir.py", line 52, in getobj
    self.obj = klassobj()
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvDomainDir.py", line
39, in __init__
    self.xd = XendDomain.instance()
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 615, in
instance
    inst.init()
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 76, in init
    self._add_domain(
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 139, in
xen_domains
    domlist = xc.domain_getinfo()
Error: (13, 'Permission denied')

'Working' messages from kernel-xen-2.6.17-1.2614.fc6:

[2006-09-05 11:00:49 xend 2904] INFO (SrvDaemon:283) Xend Daemon started
[2006-09-05 11:00:49 xend 2904] INFO (SrvDaemon:287) Xend changeset: unavailable .
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] DEBUG (XendDomainInfo:211)
XendDomainInfo.recreate({'paused': 0, 'cpu_time': 29998562203L, 'ssidref': 0,
'handle': [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 'shutdown_reason':
0, 'dying': 0, 'dom': 0, 'mem_kb': 1443768, 'maxmem_kb': -4, 'max_vcpu_id': 0,
'crashed': 0, 'running': 1, 'shutdown': 0, 'online_vcpus': 1, 'blocked': 0})
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] INFO (XendDomainInfo:223)
Recreating domain 0, UUID 00000000-0000-0000-0000-000000000000.
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] WARNING (XendDomainInfo:245) No
vm path in store for existing domain 0
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] DEBUG (XendDomainInfo:706)
Storing VM details: {'shadow_memory': '0', 'uuid':
'00000000-0000-0000-0000-000000000000', 'on_reboot': 'restart', 'on_poweroff':
'destroy', 'name': 'Domain-0', 'vcpus': '1', 'vcpu_avail': '1', 'memory':
'1410', 'on_crash': 'restart', 'maxmem': '1410'}
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] DEBUG (XendDomainInfo:741)
Storing domain details: {'cpu/0/availability': 'online', 'memory/target':
'1443840', 'name': 'Domain-0', 'console/limit': '1048576', 'vm':
'/vm/00000000-0000-0000-0000-000000000000', 'domid': '0'}
[2006-09-05 11:00:50 xend 2904] DEBUG (XendDomain:153) number of vcpus to use is 0
[2006-09-05 11:00:50 xend 2904] INFO (SrvServer:116) unix
path=/var/lib/xend/xend-socket
[2006-09-05 11:00:50 xend.XendDomainInfo 2904] DEBUG (XendDomainInfo:924)
XendDomainInfo.handleShutdownWatch




Version-Release number of selected component (if applicable):
xen-3.0.2-29


How reproducible:
Every time


Steps to Reproduce:
1. boot
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-09-06 00:54:46 EDT
Yeah, you need a new xen package which didn't make it out into today's rawhide.
 Upstream changed the semantics around hypercalls and although we were trying to
avoid having this happen, we had a package built in the not-off-to-the-side
location for final testing.  Oops.  Will be in tomorrow's rawhide

Note You need to log in before you can comment on or make changes to this bug.